# New concepts \[Internal]

```
npm install --save @tria-sdk/web-test@5.4.102
```

So, there is AA supported chain, and chains which won't support AA.

* For a transaction, always the default wallet for a AA supported chain is going to be a AA wallet.
  * On the basis of selected of wallet in the txn popup page, user can make txns from EOA wallet, for that **selectedWallet** type ("EOA" or "AA") needs to be passed explicitly to the FeeController, WalletController, getAssetDetails (...type: "EOA" | "AA").
* For a transaction, for a non-AA supported chain, it will automatically transact from EOA wallet
* Now dapps have the option to **supportAa** as a default wallet for their dapp users (or not), with <mark style="background-color:yellow;">walletType: { embedded: true, supportAa: true (or false) }</mark>
  * supportAa: true -> default wallet AA for all AA supported chains, EOA for non-AA supported chains.
  * supportAa: false -> default wallet EOA for all AA and non-AA supported chains.
  * Requirements: pass a **pimlicoApiKey**, uses Tria's pimlicoApiKey as default though
* Now dapps have the option to add **isSponsored** flag (false by default) when supportAa: true
  * isSponsored: true -> sponsors all gas fees for their users
  * isSponsored: false -> will use a AA wallet but user have to have native tokens in their AA wallet address, first txn will deploy the smart wallet, with gas prefund from AA address
  * Requirements: pass **sponsorshipPolicyIds** chain specific, for chains the dapp wants to support sponsorship of gas for.
    * For chains for which sponsorshipPolicyId won't be passed, it defaults to non sponsored AA txns.
* Optional, dapps also have the option to choose the **accountType** ("Simple" | "Kernel" | "Safe" | "Biconomy") they want to create for their users.
  * default, is Simple, will be Kernel later for Tria.
* The wallet and auth has to pass all these fields to web controllers, i.e.,&#x20;
  * WalletController (all fields),&#x20;
  * FeeController (all fields),&#x20;
  * LitAuthProvider (only supportAa, accountType needs to be passed, for login initSession),&#x20;
  * KeyringController (only supportAa, accountType, for assignDid)
* For wallet to identify between AA data and EOA data, all the asset/history responses have a <mark style="background-color:yellow;">type: "EOA" | "AA"</mark> returned in <mark style="background-color:yellow;">wallet: {name, address,</mark> <mark style="background-color:yellow;"></mark><mark style="background-color:yellow;">**type**</mark><mark style="background-color:yellow;">}</mark>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-priv.tria.so/reference/new-concepts-internal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
